# Todo List for v3.0 of Learning Bitcoin

The following TODO items are intended for a 3.0 version of Learning Bitcoin from the Command Line

1. New Interlude: Creating QR Codes (after 3.3)
   * New Subsection: Creating a QR
   * New Subsection: Creating a Quick Connect QR
1. Revise Section: Understanding the Descriptor (3.5)
   * New Content: Descriptor Wallets
   * New Content: Complex Descriptors
   * Consider: Breaking into Two Sections
1. New Interlude: Creating Animated QR Codes (after 7.1)
   * New Subsection: Understanding Uniform Resources
   * New Subsection: Creating an Animated QR
   * New Subsection: Creating an Animated QR of a PSBT
1. New Chapter: Using Other Command-Line Tools (between 8+9)
   * 9.1: Using seedtool
   * 9.2: Using keytool
   * 9.3: Using bytewords-cli
1. Revise Section: Understanding Timelock Options (11.1)
   * Explanation: Better distinguish differences
   * Reference: consider chart at in https://prestwi.ch/bitcoin-time-locks/
1. New Chapter: Using Miniscript Command-Line Tools (between 13+14)
   * 15.1: Using miniscript
   * 15.2: Using Bitcoin Dev Kit (BDK)
   * 15.3: Planning for the Future
1. New Content: Expand the PSBT Libwally Content (17.4) into Two Sections
   * 17.4: Signing PSBTs in Libwally
      * Explanation: Contains the current info on importing a PSBT, and shows how to sign it
   * 17.5: Creating PSBTs in Libwally
      * Explanation: Contains the current info on creating a PSBT, and shows how to export it
1. New Chapter: Talking to Bitcoind with Swift (between 17+18)
   * 19.1: Accessing Bitcoind with Swift (existing section)
   * 19.2: Using Swift with Bitcoin Lib [Wolf's library]
   * 19.3: Using Swift with Libwally [Wolf's shim]

## Further Updates

The following updates could be part of v3.0 or could be further future, depending on interest and funding.

1. New Graphics: Animated GIFs for key demos.
   * Reference: https://github.com/faressoft/terminalizer
1. New Chapter: Talking to Lightningd with C (after chapter 20)
   * 22.1: Creating a Lightning Channel with C
   * 22.2: Creating a Payment Request with C
   * 22.3: Paying an Invoice with C
   * 22.4: Closing a Lightning Channel with C
      * Alternatives: Consider Swift instead of C, depending on Lightning support
      * Reference: https://diyhpl.us/wiki/transcripts/blockstream-webinars/2019-07-31-rusty-russell-getting-started-with-c-lightning/
      * Reference: https://twitter.com/roasbeef/status/1389649064753471488_

9. Schnorr (2021)
14. Taproot (August/November)
   * First Successful Taproot Transactions (Peter W., Twitter)
